Get a buyer by ID
curl --request GET \
--url https://integrations.polinate.ai/api/v1/buyers/{id} \
--header 'X-API-Key: <x-api-key>' \
--header 'X-Business-Id: <x-business-id>'import requests
url = "https://integrations.polinate.ai/api/v1/buyers/{id}"
headers = {
"X-Business-Id": "<x-business-id>",
"X-API-Key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Business-Id': '<x-business-id>', 'X-API-Key': '<x-api-key>'}
};
fetch('https://integrations.polinate.ai/api/v1/buyers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "phm_123",
"name": "Acme Pty Ltd",
"legalName": "Acme Pty Ltd",
"primaryEmail": "contact@acme.example",
"primaryPhone": "+61 2 9000 0000",
"status": "ACTIVE",
"partnershipId": "prt_456",
"partnershipStatus": "ACTIVE",
"itemListId": "list_789",
"buyerInfo": {
"notes": "Key account"
},
"emails": [
{
"id": "eml_1",
"email": "orders@acme.example",
"contactName": "Orders",
"isPrimary": true
}
],
"phones": [
{
"id": "phn_1",
"phone": "+61 400 000 001",
"contactName": "Warehouse",
"isPrimary": false
}
],
"locations": [
{
"id": "loc_1",
"label": "Sydney DC",
"type": "WAREHOUSE",
"status": "ACTIVE",
"addressLine1": "1 George St",
"city": "Sydney",
"state": "NSW",
"postcode": "2000",
"country": "AU"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"fieldErrors": {}
}{
"errorCode": "FORBIDDEN",
"message": "You do not have an active partnership with this buyer"
}{
"errorCode": "NOT_FOUND",
"message": "Buyer not found"
}{
"errorCode": "<string>",
"message": "<string>",
"fieldErrors": {}
}Buyers
Get a buyer by ID
Retrieves a single buyer (phantom) by ID including related contacts, phones, emails, and locations.
GET
/
api
/
v1
/
buyers
/
{id}
Get a buyer by ID
Headers
Business identifier for external auth. Find in Polinate app → Business Settings → Integrations.
Example:
"{{businessId}}"
Per-business API key for external auth. Find in Polinate app → Business Settings → Integrations.
Example:
"{{apiKey}}"
Path Parameters
Example:
"phm_123"
Response
OK
Available options:
PENDING, ACTIVE, PAUSED, TERMINATED, DECLINED, EXPIRED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

